Changeset 219

Show
Ignore:
Timestamp:
01/24/11 19:36:31 (3 years ago)
Author:
depesz
Message:

make sanity-check.sh check tar version

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • trunk/omnipitr/bin/sanity-check.sh

    r120 r219  
    7979done 
    8080 
     81# versions check 
     82 
     83echo "Tar version" 
     84 
     85tar_version_ok="$( LC_ALL=C tar --version 2>/dev/null | head -n 1 | egrep '^tar \(GNU tar\) [0-9]*\.[0-9]*$' | awk '$NF >= 1.2 {print "OK"}' )" 
     86if [[ "$tar_version_ok" != "OK" ]] 
     87then 
     88    ERRORS_COUNT=$(( 1 + $ERRORS_COUNT )) 
     89    ERRORS[$ERRORS_COUNT]="tar (in \$PATH) is either not gnu tar, or gnu tar earlier than required 1.20" 
     90fi 
     91 
    8192# Report of status 
    8293 
  • trunk/omnipitr/doc/changes.pod

    r218 r219  
    11=head1 OmniPITR 
     2 
     3=head2 2011-01-24 
     4 
     5=over 
     6 
     7=item * Add detection of tar version to sanity-check.sh 
     8 
     9=back 
    210 
    311=head2 2011-01-20